󰅡收起

老薛网络

专注区域互联网运营、产品、发展、市场合作

29
五月

centos上PHP5.3升级到PHP5.4及更高版本方法

作者: alizee
分类: linux
发布时间: 2017-05-29 10:09
um配置 执行命令下载、安装yum源,当前是针对Centos6并且64位版本的源: [root@T_249 yum.repos.d]# rpm -ivh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm[root@T_249 yum.repos.d]# rpm -ivh ht
yum配置
执行命令下载、安装yum源,当前是针对Centos6并且64位版本的源:

[root@T_249 yum.repos.d]# rpm -ivh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
[root@T_249 yum.repos.d]# rpm -ivh http://rpms.famillecollet.com/enterprise/remi-release-6.rpm

编辑[remi.repo]下的enabled选项从0设为1

[root@T_249 yum.repos.d]# sed -i '/enabled/s/=0/=1/g' /etc/yum.repos.d/remi.repo

运行如下命令

[root@T_249 yum.repos.d]# yum clean all
[root@T_249 yum.repos.d]# yum makecache

安装php5.4

[root@T_249 yum.repos.d]# yum install php54 php54-php-devel php54-php-mysql* php54-php-gd php54-php-fpm php54-php-mbstring

如果安装php5.5

[root@T_249 yum.repos.d]# yum install php55 php55-php-devel php55-php-mysql* php55-php-gd php55-php-fpm php55-php-mbstring

目前可以安装到php7.0
查看所有支持版本

[root@T_249 yum.repos.d]# yum list php* |grep php-devel
php-devel.x86_64                          5.3.3-46.el6_6          @updates      
php54-php-devel.x86_64                    5.4.45-2.el6.remi       @remi         
php-devel.x86_64                          5.6.15-1.el6.remi       remi-php56    
php55-php-devel.x86_64                    5.5.30-1.el6.remi       remi          
php56-php-devel.x86_64                    5.6.16-0.1.RC1.el6.remi remi-test     
php70-php-devel.x86_64                    7.0.0-0.25.RC8.el6.remi remi

运行如下命令[yum update php*],则直接升级到php5.6

安装运行yum报错解决方法:
Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again

编辑[epel.repo]下的baseurl前的#号去掉,mirrorlist前添加#号

[root@T_249 yum.repos.d]# sed 's/#baseurl=/baseurl=/g;s/mirrorlist=/#mirrorlist=/g' /etc/yum.repos.d/epel.repo

http://www.zuimoban.com/jiaocheng/linux/2647.html
󰁠

本文出自 老薛网络 ,转载时请注明出处及相应链接。

本文永久链接: http://der.cc/archives/111

发表评论

电子邮件地址不会被公开。 必填项已用*标注